Program DirDemo;

(*$I a:dir.inc *)

Var cmdline :String[80];
    i, j, n,
    User    :Integer;
    DirMem  :DirArray;
    options :DirOptLst;
    Mask    :DirStrg;


Function ValChr (ch :Char) : Integer;

Begin
  ValChr := -1;
  Case ch of
     '0'..'9': ValChr := Ord (ch) - Ord ('0');
  End;
End;


Begin
  options := [CON]; User := 0; Mask := '';
  WriteLn; WriteLn;
  WriteLn ('DIR-DEMO:'); WriteLn;
  WriteLn ('Dateispezifikation erfolgt wie in CP/M,');
  WriteLn ('Optionen muessen mit [] eingeschlossen werden.');
  WriteLn ('          L : Ausgabe auf Drucker (List)');
  WriteLn ('          S : alphabetisch sortieren');
  WriteLn ('          K : Dateigroesse ermitteln');
  WriteLn ('         Un : User n');
  WriteLn ('Bsp.: t*.* zeigt alle mit ''t'' anfangenden Dateien.');
  Write   ('      A:*.*[sk] zeigt alle Dateien mit Groesse sortiert ');
  WriteLn ('am Bildschirm.');
  WriteLn ('      *.*[u2] zeigt Directory des Users 2.');
  WriteLn;
  Write ('DIR>'); ReadLn (cmdline);
  i := Pos ('[',cmdline);
  If i<>0 then
    Begin
      Mask := Copy (cmdline, 1, i-1);
      For j:=i+1 to Length (cmdline) do
        Case UpCase(cmdline[j]) of
           'L': options := options + [LST];
           'S': options := options + [Sort];
           'K': options := options + [Size];
           'U': Begin
                  n := ValChr (cmdline[j+1]);
                  If n >= 0 then
                    Begin
                      User := n;
                      n := ValChr (cmdline[j+2]);
                      If n >= 0 then
                        User := User * 10 + n;
                    End;
                End;

        End;
    End
  Else
    Mask := cmdline;
  Directory (User, Mask, DirMem, n, options);
  If n > 0 then
    WriteLn ('Files found: ', n);
End.