(*****************************************************************************)
(*                                                                           *)
(*                        ---  FUNCTION.INC  ---                             *)
(*                                                                           *)
(*       Unterprogramm-Modul zur Berechnung Funktionswerte/Ableitungen       *)
(*                                                                           *)
(*****************************************************************************)


Function fn (x :Real; k :Integer) :Real;

   (*  k = 0  Funktionswert     *)
   (*      1  erste Ableitung   *)
   (*      2  zweite    -       *)
   (*      3  dritte    -       *)

   Begin
   Case k of
      0: fn := f(x);
      1: fn := (f(x-2*h1) - 8*f(x-h1) + 8*f(x+h1) - f(x+2*h1)) / (12*h1);
      2: fn := (-f(x-2*h2) + 16*f(x-h2) - 30*f(x) + 16*f(x+h2) - f(x+2*h2))
                                                               / (12*h2*h2);
      3: fn := (-f(x-2*h3) +2*f(x-h3) - 2*f(x+h3) + f(x+2*h3)) / (2*h3*h3*h3)
      End
   End;
