(*****************************************************************************)
(*                                                                           *)
(*                        ---  MENU3.INC  ---                                *)
(*                                                                           *)
(*                           Menu-Steuerung                                  *)
(*                                                                           *)
(*****************************************************************************)


Procedure Menu;


Const MenuItems  = 8;
      MenuText   :Array [1..MenuItems] of String [15] = (
                 'Wertetabelle  ',
                 'Nullstellen   ',
                 'Extremwerte   ',
                 'Wendestellen  ',
                 'Integral      ',
                 'Symmetrie     ',
                 'Monotonie     ',
                 'Graph zeichnen');

Var   Key :Char;


   Procedure MenuScreen;

      Var i :Integer;

      Begin
      ClrScr;
      WriteLn (' K u r v e n d i s k u s s i o n ' :54);
      WriteLn ('----------------------------------':54);
      WriteLn; WriteLn;
      For i:=1 to MenuItems do WriteLn (MenuText[i]:40,'  =  ',i,#10);
      WriteLn;
      Write   ('Bitte waehlen:     ':45);
      End;


   Begin
   Repeat
      MenuScreen;
      Repeat until KeyPressed;
      Read (KBD,Key);
      Case Key of
         '1': ValueTable;
         '2': FindRoots;
         '3': FindExtremeValues;
         '4': FindFlexPoints;
         '5': Integrate;
         '6': CheckSymmetry;
         '7': CheckMonotony;
         '8': PlotFunction;
         End;
      WriteLn;
      If Key in ['1'..chr(MenuItems+48)] then
         Begin
         WriteLn; Write ('Weiter mit beliebiger Taste ...');
         Repeat until KeyPressed
         End
   until not (Key in ['1'..chr(MenuItems+48)]);
   ClrScr
   End;
