(*****************************************************************************)
(*                                                                           *)
(*                         ---   ROOTS.INC  ---                              *)
(*                                                                           *)
(*               Unterprogramm-Modul zur Nullstellenberechnung               *)
(*                                                                           *)
(*****************************************************************************)


Procedure FindRoots;


   Var x,dx,
       xmin,xmax :Real;
       Success   :Boolean;

   Begin
   ClrScr;
   WriteLn ('Nullstellenbestimmung'); WriteLn;
   Write ('im Bereich von xmin='); Read (xmin);
   Write (' bis xmax='); Read (xmax);
   Write (' mit Schrittweite dx='); ReadLn (dx);
   WriteLn; WriteLn;
   x := Solve (xmin,xmax,dx,0,Success);
   If Success then
      Repeat
         WriteLn ('N (',x:m:n,', 0)');
         xmin := x + dx;
         x := Solve (xmin,xmax,dx,0,Success)             (* loese f(x)=0 *)
      until not Success or (x>xmax)
   else
      WriteLn ('Keine Nullstelle gefunden!')
   End;
