(*****************************************************************************)
(*                                                                           *)
(*                           ---  DEF.INC  ---                               *)
(*                                                                           *)
(*         Definition der Funktion und Festlegung wichtiger Parameter        *)
(*                                                                           *)
(*****************************************************************************)


Const eps      = 1e-7;      (* Rechengenauigkeit                             *)
      h1       = 0.001;     (* Schrittweite bei Berechnung 1.Ableitung       *)
      h2       = 0.005;     (*       -             -      2.    -            *)
      h3       = 0.01;      (*       -             -      3.    -            *)
      m        = 10;        (* Formatparameter bei Anzeige ...               *)
      n        =  3;        (* ... von Real-Zahlen: write (x :m:n)           *)
      MaxIt    = 500;       (* Maximale Iterationenszahl beim Integrieren    *)
      NoPoints = 10;        (* Symmetrie: Anzahl zu ueberpruefender Punkte   *)
      d        = 1.0;       (*            Abstand zwischen zwei Punkten      *)


Function f (x :Real) :Real;          (* zu untersuchende Funktion *)

   Begin
   f := exp(-0.3*x) * cos(5*x)
   End;
