(*****************************************************************************)
(*                                                                           *)
(*                       ---  MONOTONY.INC  ---                              *)
(*                                                                           *)
(*            Unterprogramm-Modul zur Monotonie-Ueberpruefung                *)
(*                                                                           *)
(*****************************************************************************)


Procedure CheckMonotony;


   Var x,dx,
       xmin,xmax :Real;
       Success   :Boolean;

   Begin
   ClrScr;
   WriteLn ('Monotonie-Ueberpruefung'); WriteLn;
   Write ('im Bereich von xmin='); Read (xmin);
   Write (' bis xmax='); Read (xmax);
   Write (' mit Schrittweite dx='); ReadLn (dx);
   WriteLn; WriteLn;
   WriteLn ('Die Funktion ist im Bereich'); WriteLn;
   Write ('[',xmin:m:n,',');
   x := Solve (xmin,xmax,dx,1,Success);
   If Success then
      Repeat
         Write (x:m:n,']  monoton ');
            If fn(x,2)<-eps then
               WriteLn ('steigend')
            else
               if fn(x,2)>eps then
                  WriteLn ('fallend');
         Write ('[',x:m:n,',');
         xmin := x + dx;
         x := Solve (xmin,xmax,dx,1,Success)
      until not Success or (x>xmax);
   Write (xmax:m:n,']  monoton ');
   If fn(xmax,1)<0 then WriteLn ('fallend') else WriteLn ('steigend')
   End;
