(*****************************************************************************)
(*                                                                           *)
(*                        ---  SYMMETRY.INC  ---                             *)
(*                                                                           *)
(*               Unterprogramm-Modul zur Symmetrieueberpruefung              *)
(*                                                                           *)
(*****************************************************************************)


Procedure CheckSymmetry;


   Function Punktsymmetrie :Boolean;

      Var i :Integer;
          x :Real;
          s :Boolean;

      Begin
      s := true;
      i := 1;
      x := 0;
      While s and (i<=NoPoints) do
         Begin
         x := x + d;
         s := abs(fn(x,0)+fn(-x,0)) < eps;
         i := succ(i)
         End;
      Punktsymmetrie := s
      End;


   Function Achsensymmetrie :Boolean;

      Var i :Integer;
          x :Real;
          s :Boolean;

      Begin
      s := true;
      i := 1;
      x := 0;
      While s and (i<=NoPoints) do
         Begin
         x := x + d;
         s := abs(fn(x,0)-fn(-x,0)) < eps;
         i := succ(i)
         End;
      Achsensymmetrie := s
      End;


   Begin
   ClrScr;
   WriteLn ('Symmetrieueberpruefung:'); WriteLn;
   If Punktsymmetrie then
      WriteLn ('Die Funktion ist punktsymmetrisch zum Ursprung');
   If Achsensymmetrie then
      WriteLn ('Die Funktion ist achsensymmetrisch zur y-Achse');
   If not (Punktsymmetrie or Achsensymmetrie) then
      WriteLn ('Die Funktion ist nicht symmetrisch');
   WriteLn
   End;
